%global momorel 4
%global gofficever 0.8.6
%global gnumericver 1.10.6
%global geckover 1.9.2

Summary: Gnome chemistry Utils
Name: gnome-chemistry-utils
Version: 0.12.2
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
Source0: http://download.savannah.nongnu.org/releases/gchemutils/0.12/%{name}-%{version}.tar.bz2
NoSource: 0
URL: http://www.nongnu.org/gchemutils/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: pkgconfig
BuildRequires: cairo-devel
BuildRequires: libglade2-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: gtkglext-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgsf-devel
BuildRequires: goffice-devel = %{gofficever}
BuildRequires: openbabel-devel >= 2.2.3
BuildRequires: chemical-mime-data
BuildRequires: shared-mime-info
BuildRequires: bodr
BuildRequires: xulrunner-devel >= %{geckover}
BuildRequires: gnumeric-devel = %{gnumericver}
Requires: chemical-mime-data
Requires: goffice = %{gofficever}
Requires: gnumeric = %{gnumericver}
Requires(pre): hicolor-icon-theme gtk2
Requires(pre):          GConf2
Requires(post):         GConf2
Requires(preun):        GConf2


Obsoletes: gchempaint
Provides: gchempaint

%description
The Gnome Chemistry Utils provide some utilities and a library
containing Gtk widgets and some C++ classes related to chemistry.

%package devel
Summary: gnome-chemistry-utils-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
gnome-chemistry-utils-devel

%prep
%setup -q

%build
%configure \
    --enable-silent-rules \
    --disable-static \
    --disable-scrollkeeper \
    --disable-update-databases \
    --disable-schemas-install \
    LIBS="-lgnomevfs-2"
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} plugindir=%{_libdir}/mozilla/plugins install
%find_lang gchemutils-0.12

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications > /dev/null 2>&1
update-mime-database %{_datadir}/mime > /dev/null 2>&1
rarian-sk-update

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gcrystal.schemas \
    %{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas \
    %{_sysconfdir}/gconf/schemas/gchempaint.schemas \
    %{_sysconfdir}/gconf/schemas/gchemutils.schemas \
    > /dev/null || :

gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gcrystal.schemas \
	%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas \
	%{_sysconfdir}/gconf/schemas/gchempaint.schemas \
	%{_sysconfdir}/gconf/schemas/gchemutils.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/gcrystal.schemas \
	%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas \
	%{_sysconfdir}/gconf/schemas/gchempaint.schemas \
	%{_sysconfdir}/gconf/schemas/gchemutils.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig
rarian-sk-update

%clean
rm -rf --preserve-root %{buildroot}

%files -f gchemutils-0.12.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/gcrystal.schemas
%{_sysconfdir}/gconf/schemas/gchempaint-arrows.schemas
%{_sysconfdir}/gconf/schemas/gchempaint.schemas
%{_sysconfdir}/gconf/schemas/gchemutils.schemas

%{_bindir}/*
#%{_libdir}/mozilla/plugins/libmozgcu.so
#%{_libdir}/mozilla/plugins/libmozgcu.la
%{_libdir}/gchemutils
%{_libdir}/goffice/%{gofficever}/plugins/gchemutils
%{_libdir}/gnumeric/%{gnumericver}/plugins/gchemutils

%{_libdir}/*.so.*
%exclude %{_libdir}/*.la

#%{_libexecdir}/chem-viewer
%{_datadir}/applications/*.desktop
%{_datadir}/gchemutils
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/gchemutils.xml

%{_datadir}/mimelnk/application/x-gcrystal.desktop
%{_datadir}/mimelnk/application/x-gchempaint.desktop

%{_datadir}/gnome/help/gchem3d-0.12
%{_datadir}/gnome/help/gchemcalc-0.12
%{_datadir}/gnome/help/gchempaint-0.12
%{_datadir}/gnome/help/gchemtable-0.12
%{_datadir}/gnome/help/gcrystal-0.12
%{_datadir}/gnome/help/gspectrum-0.12

%{_datadir}/omf/gchem3d-0.12
%{_datadir}/omf/gchemcalc-0.12
%{_datadir}/omf/gchempaint-0.12
%{_datadir}/omf/gchemtable-0.12
%{_datadir}/omf/gcrystal-0.12
%{_datadir}/omf/gspectrum-0.12

%{_mandir}/man1/gchem3d.1.*
%{_mandir}/man1/gchemcalc.1.*
%{_mandir}/man1/gchempaint.1.*
%{_mandir}/man1/gchemtable.1.*
%{_mandir}/man1/gcrystal.1.*
%{_mandir}/man1/gspectrum.1.*

%files  devel
%defattr(-, root, root)
%{_libdir}/*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.2-4m)
- full rebuild for mo7 release

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.12.2-3m)
- add Requires context (pre,post,preun)

* Wed Aug 11 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.12.2-2m)
- add Requires: GConf2

* Wed Jul 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.2-1m)
- update to 0.12.2

* Fri Jun 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-6m)
- rebuild against gnumeric-1.10.6
- rebuild against goffice-0.8.6

* Sat Jun 12 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-5m)
- rebuild against gnumeric-1.10.5

* Mon May 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-4m)
- rebuild against goffice-0.8.5

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-3m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Sun May 23 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-2m)
- build fix goffice-0.8.4

* Mon May 17 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-1m)
- update to 0.12.0
- disable --enable-mozilla-plugin

* Sun May  2 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.8-5m)
- build fix gcc-4.4.4

* Sat Apr 17 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.8-4m)
- add patch for gtk-2.20 by gengtk220patch

* Tue Feb  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.8-3m)
- rebuild against xulrunner-1.9.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.8-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Sep  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.8-1m)
- update to 0.10.8

* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.4-3m)
- rebuild against xulrunner-1.9.1

* Tue May 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.4-2m)
- rebuild against goffice-0.6.6

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.4-1m)
- update to 0.10.4

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.3-2m)
- rebuild against rpm-4.6

* Sat Jan 10 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.3-1m)
- update to 0.10.3

* Tue Dec  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-1m)
- update to 0.10.2

* Mon Nov 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update to 0.10.1

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.7-4m)
- rebuild against openbabel-2.2.0

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.7-3m)
- rebuild against firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.7-2m)
- rebuild against gcc43

* Tue Mar 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.7-1m)
- update to 0.8.7

* Sun Jan 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.6-1m)
- update to 0.8.6

* Thu Jan  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.5-2m)
- rebuild against goffice-0.4

* Sun Dec 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.5-1m)
- update to 0.8.5

* Tue Oct 30 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-1m)
- update to 0.8.4

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- fix %%post script

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Fri Aug  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-5m)
- add intltoolize (intltool-0.36.0)

* Mon Jun 25 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.4-4m)
- added BuildPrereq: firefox-devel

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.4-3m)
- move libmozgcu.so to %%{_libdir}/mozilla/plugins/

* Wed Mar 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-2m)
- no NoSource

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- initial build
